de.caff.io.json

## Interface SimpleJsonReader.Handler

- All Known Subinterfaces:
    SimpleJsonReader.TemporaryHandler
  All Known Implementing Classes:
    AbstractSimpleJsonFilter, SimpleJsonReader.ArrayHandler, SimpleJsonReader.BooleanValueHandler, SimpleJsonReader.DoubleValueHandler, SimpleJsonReader.HandlerWrapper, SimpleJsonReader.IntValueHandler, SimpleJsonReader.MapObjectHandler, SimpleJsonReader.NumericValueHandler, SimpleJsonReader.ObjectHandler, SimpleJsonReader.StringValueHandler, SimpleJsonReader.ValueHandler
  Enclosing class:
    SimpleJsonReader

      public static interface SimpleJsonReader.Handler

  Low-level Handler for streamed JSON stream. This handler will be called in sequence for each JSON item.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginArray(SimpleJsonReader reader)` Called when an array is started.
    `void` | `beginObject(SimpleJsonReader reader)` Called when an object is started.
    `void` | `endArray(SimpleJsonReader reader)` Called when an array has ended.
    `void` | `endObject(SimpleJsonReader reader)` Called when an object has ended.
    `void` | `key(SimpleJsonReader reader, java.lang.String key)` Called when a key ways read.
    `void` | `nullValue(SimpleJsonReader reader)` Called when a null value was read.
    `void` | `value(SimpleJsonReader reader, boolean v)` Called when a boolean value was read.
    `void` | `value(SimpleJsonReader reader, java.lang.Number v)` Called when a number value was read.
    `void` | `value(SimpleJsonReader reader, java.lang.String v)` Called when a text value was read.

- - ### Method Detail

    - #### key

          void key(@NotNull
                   SimpleJsonReader reader,
                   @NotNull
                   java.lang.String key)

      Called when a key ways read. Next is either a value, a beginObject(SimpleJsonReader), or beginArray(SimpleJsonReader) .
      Parameters:
        `reader` - reader which has read the key
        `key` - the value of the key

    - #### beginObject

          void beginObject(@NotNull
                           SimpleJsonReader reader)

      Called when an object is started. Next is either a key(SimpleJsonReader, String) or an endObject(SimpleJsonReader).
      Parameters:
        `reader` - reader which is reading the object

    - #### endObject

          void endObject(@NotNull
                         SimpleJsonReader reader)

      Called when an object has ended.
      Parameters:
        `reader` - reader which has read the object

    - #### beginArray

          void beginArray(@NotNull
                          SimpleJsonReader reader)

      Called when an array is started.
      Parameters:
        `reader` - reader which is reading the array

    - #### endArray

          void endArray(@NotNull
                        SimpleJsonReader reader)

      Called when an array has ended.
      Parameters:
        `reader` - reader which has read the array

    - #### nullValue

          void nullValue(@NotNull
                         SimpleJsonReader reader)

      Called when a null value was read.
      Parameters:
        `reader` - reader which has read the value

    - #### value

          void value(@NotNull
                     SimpleJsonReader reader,
                     @NotNull
                     java.lang.String v)

      Called when a text value was read.
      Parameters:
        `reader` - reader which has read the value
        `v` - text value

    - #### value

          void value(@NotNull
                     SimpleJsonReader reader,
                     boolean v)

      Called when a boolean value was read.
      Parameters:
        `reader` - reader which has read the value
        `v` - boolean value

    - #### value

          void value(@NotNull
                     SimpleJsonReader reader,
                     @NotNull
                     java.lang.Number v)

      Called when a number value was read.
      Parameters:
        `reader` - reader which has read the value
        `v` - number value, implementation will provide either an `Integer` (if fit), or a `Double`